Subject: bug#52841: show-paren paring error in org-mode source blocks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Dec 2021 19:07:59 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Yilkal Argaw <[email-masked]>,  [email-masked]
> Date: Wed, 29 Dec 2021 16:41:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> #+begin_src emacs-lisp
> >> 
> >>   (if (not (version< emacs-version "27.0"))
> >>       (progn
> >>     (if (fboundp 'native-comp-available-p) (setq comp-deferred-compilation t))
> >>     (setq warning-suppress-types '((flycheck syntax-checker) (comp))))
> >>     )
> >> 
> >> #+end_src
> >
> > Isn't this a problem specific to Org?  If so, please report it to the
> > Org bug address first.
> 
> Well, you see it in any mode that displays code blocks, like in Gnus.
> Doesn't rmail fontify that block of code for you?

No, and I'm infinitely grateful that it doesn't.

> I can reproduce the problem in Gnus, too, but I'm not that familiar with
> how show-paren works -- does it just use the syntax properties in the
> buffer?

Yes, it does.